#pragma once
#include "Entity.h"
#define CS_SETNUMNPC_CREATENAME L"CS_setnumnpc"
//Npc放置器
//主要用来检查还Npc放置器的Npc是否已全部被玩家解决
class CS_SetNumNpc :
    public Entity
{
public:
    CS_SetNumNpc();
    void Step() override;
    void SetState(std::wstring stateName, int lr) override;
    std::list<std::weak_ptr<Entity>> npcArr;
    int setNpcNum = 1;
    int setNpcInterval = 0;
    int setNpcInterval_max = 30;
    std::wstring npc_type;
    bool bSetNpcType = false;
    bool bStartSet = false;
};

std::shared_ptr<Entity> CreateCS_SetNumNpc();